clang 10.0.0git

Public Member Functions | Friends | List of all members
clang::RawCommentList Class Reference

This class represents all comments included in the translation unit, sorted in order of appearance in the translation unit. More...

`#include "clang/AST/RawCommentList.h"`

## Public Member Functions
| RawCommentList (SourceManager &SourceMgr)
void | addComment (const RawComment &RC, const CommentOptions &CommentOpts, llvm::BumpPtrAllocator &Allocator)
const std::map< unsigned, RawComment * > * | getCommentsInFile (FileID File) const
bool | empty () const
unsigned | getCommentBeginLine (RawComment *C, FileID File, unsigned Offset) const
unsigned | getCommentEndOffset (RawComment *C) const

## Friends
class | ASTReader
class | ASTWriter

## Detailed Description

This class represents all comments included in the translation unit, sorted in order of appearance in the translation unit.

Definition at line 195 of file RawCommentList.h.

## Constructor & Destructor Documentation

## ◆ RawCommentList()

clang::RawCommentList::RawCommentList | ( | SourceManager & | SourceMgr | ) |
| inline

Definition at line 197 of file RawCommentList.h.

## Member Function Documentation

## ◆ addComment()

void RawCommentList::addComment | ( | const RawComment & | RC,
|  | const CommentOptions & | CommentOpts,
|  | llvm::BumpPtrAllocator & | Allocator
| ) |  |

Definition at line 272 of file RawCommentList.cpp.

Referenced by clang::ASTContext::addComment().

## ◆ empty()

bool RawCommentList::empty | ( |  | ) | const

Definition at line 336 of file RawCommentList.cpp.

Referenced by clang::ASTContext::attachCommentsToJustParsedDecls(), and clang::ASTContext::getRawCommentForDeclNoCache().

## ◆ getCommentBeginLine()

unsigned RawCommentList::getCommentBeginLine | ( | RawComment * | C,
|  | FileID | File,
|  | unsigned | Offset
| ) |  | const

Definition at line 338 of file RawCommentList.cpp.

References clang::C, clang::SourceManager::getLineNumber(), and Line.

Referenced by clang::ASTContext::getRawCommentForDeclNoCacheImpl().

## ◆ getCommentEndOffset()

unsigned RawCommentList::getCommentEndOffset | ( | RawComment * | C | ) | const

Definition at line 348 of file RawCommentList.cpp.

References clang::C, clang::SourceManager::getDecomposedLoc(), clang::SourceRange::getEnd(), clang::RawComment::getRawText(), clang::RawComment::getSourceRange(), and Offset.

Referenced by clang::ASTContext::getRawCommentForDeclNoCacheImpl().

## ◆ getCommentsInFile()

const std::map< unsigned, RawComment * > * RawCommentList::getCommentsInFile | ( | FileID | File | ) | const

Returns
  A mapping from an offset of the start of the comment to the comment itself, or nullptr in case there are no comments in `File`.

Definition at line 328 of file RawCommentList.cpp.

Referenced by clang::ASTContext::attachCommentsToJustParsedDecls(), and clang::ASTContext::getRawCommentForDeclNoCache().

## Friends And Related Function Documentation

## ◆ ASTReader

friend class ASTReader
| friend

Definition at line 219 of file RawCommentList.h.

## ◆ ASTWriter

friend class ASTWriter
| friend

Definition at line 220 of file RawCommentList.h.

The documentation for this class was generated from the following files:

- include/clang/AST/RawCommentList.h
- lib/AST/RawCommentList.cpp